GNUNET-TRANSPORT(1)

NAME
gnunet-transport - measure and control the transport subsystem

SYNOPSIS
gnunet-transport [-b | --benchmark] [-c FILENAME | --config=FILENAME] [-D | --disconnect] [-e | --events] [-h | --help] [-i | --information] [-L LOGLEVEL | --loglevel=LOGLEVEL] [-l LOGFILE | --logfile=LOGFILE] [-m | --monitor] [-p PEER | --peer=PEER] [-P | --plugins] [-s | --send] [-v | --version] [-V | --verbose]

DESCRIPTION
gnunet-transport is a tool to access various functions of GNUnet's transport subsystem from the command-line. Most of these are not expected to be useful for end-users. gnunet-transport can be used to evaluate the performance of the transports, force a peer to connect to another peer (if possible). Other functions should be added in the near future.

-b | --benchmark
    Measure how fast we are receiving data (from all connections). On exit, the data rate will be reported. Runs until aborted with CTRL-C.

-c FILENAME | --config=FILENAME
    configuration file to use

-D | --disconnect
    Force disconnection from a peer (used in conjunction with -p). Note that you can use the gnunet-ats command-line tool to suggest connects.

-e | --events
    Provide information about all connect and disconnect events (continuously).

-h | --help
    Print the help page.

-i | --information
    Print information about our current connections (once).

-L LOGLEVEL | --loglevel=LOGLEVEL
    Change the loglevel. Possible values for LOGLEVEL are ERROR, WARNING, INFO and DEBUG.

-l LOGFILE | --logfile=LOGFILE
    Configure logging to write logs to LOGFILE.

-m | --monitor
    Print information about our current connections (continuously).

-p PEER | --peer=PEER
    The peer identity to connect to or monitor.

-P | --plugins
    Monitor session state of transport plugins.

-s | --send
    Transmit (dummy) traffic as quickly as possible to the peer specified with the -p option. The rate will still be limited by the quota(s) determined by the peers (ATS subsystem). Will run until CTRL-C is pressed or until the connection to the other peer is disrupted.

-v | --version
    Print out the version number.

-V | --verbose
    be verbose

SEE ALSO
gnunet-arm(1), gnunet-ats(1)

The full documentation for gnunet is maintained as a Texinfo manual. If the info(1) and gnunet programs are properly installed at your site, the command

    info gnunet

should give you access to the complete handbook,

    info gnunet-c-tutorial

will give you access to a tutorial for developers.

Depending on your installation, this information is also available in gnunet(7) and gnunet-c-tutorial(7).

BUGS
Report bugs by using https://bugs.gnunet.org or by sending electronic mail to <gnunet-developers@gnu.org>.